{pkgs, ...}: {
  home.shellAliases = {
    sudo = "sudo --preserve-env=PATH";
  };

  home.packages = with pkgs; [
    # AI Tools
    ollama

    # Development
    act
    devenv
    mprocs
    tokei

    # Diagnostics/Investigation/Recovery
    dogdns
    hexyl
    john
    nmap
    trippy

    # Filesystem Tools
    du-dust
    dysk
    fd
    file
    lemmeknow
    ouch

    # Utilities
    bitwarden-cli
    distrobox
    lazydocker
    nh
    ox
    procs
    ripgrep
  ];

  programs.direnv = {
    enable = true;
    nix-direnv.enable = true;
    enableZshIntegration = true;
  };
}
